Add Custom Order Events
Add Custom order events to an order identified by order handle
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orders/string/events" \ -H "Content-Type: application/json" \ -d '{ "events": [ { "type": "string", "recorded_at": "string" } ] }'null{ "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}Create Order Tasks POST
Creates tasks for an order. The tasks are created based on the provided request parameters. This endpoint is used to manage tasks associated with orders in the system.
Cancel Order POST
Cancel an order identified by the given order_handle. A cancelled order means that the shift did not occur as planned. Send `cancellation_reason` to say why, the worker's `timesheets` when the worker came and was sent home, and additional metadata (merged with the stored metadata), for example the handle of the order that replaces this one. The `timesheets` replace all stored customer timesheet entries; the HyperTrack location entry stays. An empty body cancels the order as before. A completed order can be cancelled with a `cancellation_reason` not more than 7 days after `completed_at`. The status then changes from `completed` to `cancelled`, `completed_at` becomes null, and a `cancelled` webhook is sent. Without a `cancellation_reason`, or after 7 days, the response is `409`.